Bug 133045 - Web Inspector: AX: console list 'input'/'output' markers are not perceivable
Summary: Web Inspector: AX: console list 'input'/'output' markers are not perceivable
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: James Craig
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-05-18 00:30 PDT by James Craig
Modified: 2015-10-19 01:57 PDT (History)
5 users (show)

See Also:


Attachments
patch (2.25 KB, patch)
2015-10-17 03:10 PDT, James Craig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Craig 2014-05-18 00:30:12 PDT
Web Inspector: AX: console list 'input'/'output' markers are not perceivable. 

These are generated ::before content. Currently background images, and previously characters. There is currently no way to define alt text in CSS for generated content or list markers. We'd need strings such as "Input:" and "Output:" in a localized data-* attr and pulled into the CSS via attr(). We've proposed an "alt" property in CSS4 (accepted by CSS WG) for arbitrary ::before and ::after content. Working on "alt" support for list markers, too.
Comment 1 James Craig 2014-05-18 00:31:18 PDT
Victor mentioned this problem, too.
Comment 2 Radar WebKit Bug Importer 2014-05-18 00:32:48 PDT
<rdar://problem/16953167>
Comment 3 Radar WebKit Bug Importer 2014-05-18 00:33:16 PDT
<rdar://problem/16953169>
Comment 4 James Craig 2015-10-07 10:43:49 PDT
Taking into my queue. This is achievable now due to additional CSS support.
Comment 5 James Craig 2015-10-17 03:10:37 PDT
Created attachment 263371 [details]
patch
Comment 6 James Craig 2015-10-17 08:48:26 PDT
Pretty sure this fix is complete (most of the work was already done) but WK TOT is crashing on launch. I'll hang on to verify this once it stabilizes.

Unless there is now a way to include WebInspectorUI automated tests... r?
Comment 7 Brian Burg 2015-10-18 15:42:59 PDT
Comment on attachment 263371 [details]
patch

r=me

Crashes on trunk were fixed on Friday AFAIK, so please verify before landing.
Comment 8 James Craig 2015-10-19 01:10:42 PDT
Comment on attachment 263371 [details]
patch

cq+
Comment 9 WebKit Commit Bot 2015-10-19 01:57:07 PDT
Comment on attachment 263371 [details]
patch

Clearing flags on attachment: 263371

Committed r191281: <http://trac.webkit.org/changeset/191281>
Comment 10 WebKit Commit Bot 2015-10-19 01:57:11 PDT
All reviewed patches have been landed.  Closing bug.